/*******************************
*   Arduino example for DS21   *
*                              *
*   By James Henderson, 2012   *
*******************************/

#include <Wire.h>

#define ADDRESS 0x61                   // The address of the SD21
#define SERVO 0x3F                     // Address of first servo

void setup(){
  Wire.begin();
}

void loop(){
  Wire.beginTransmission(ADDRESS);
    Wire.write(SERVO);
    Wire.write(255);                   // Send a value of 255 to servo 1
  Wire.endTransmission();
  delay(1000);
  Wire.beginTransmission(ADDRESS);
    Wire.write(SERVO);
    Wire.write(128);
  Wire.endTransmission();
  delay(1000);
  Wire.beginTransmission(ADDRESS);
    Wire.write(SERVO);
    Wire.write((byte)0);               // Values of 0 being sent using writ have to be masked as a byte to stop them being misinterperted as NULL this is a bug with arduino 1
  Wire.endTransmission();
  delay(1000);
  Wire.beginTransmission(ADDRESS);
    Wire.write(SERVO);
    Wire.write(128);                   // send a value of 128 to servo 1
  Wire.endTransmission();
  delay(1000);
}
